/*
 * Compile this with:
 *
 *   gcc -fPIC -Wall -g -c libthreadgtk.c `pkg-config --cflags gtk+-2.0`
 *   gcc -g -shared -Wl,-soname,libthreadgtk.so.0 -o libthreadgtk.so.0.0 libthreadgtk.o -lc \
 *                  `pkg-config --libs gtk+-2.0`
 */

#include <pthread.h>
#include <gtk/gtk.h>

void *call_gtk_main(void *threadid) {
    gtk_main();
    pthread_exit(NULL);
}

int thread_gtk_main(void) {
    pthread_t threads[1];
    int rc, t = 0;

    rc = pthread_create(&threads[t], NULL, call_gtk_main, (void *)t);

    return rc;
}
